#use op71p.lib
#use op71hw.lib
#use kp_op71.lib

main() {
	unsigned i;

	while (1) {
		for (i = 0; i < 8; ++i) {
			kpDriveRow(i);
			printf("row %d reads 0x%02x\n",i,kpReadStatus());
			hitwd();
		}
	}
}